|  | Home | Documentation | saml1__ConditionsType::__saml1__union_ConditionsType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__ConditionsType::__saml1__union_ConditionsType Struct Reference

`#include <saml1.h>`

Collaboration diagram for saml1__ConditionsType::__saml1__union_ConditionsType:
[legend]

## Public Attributes
struct saml1__AudienceRestrictionConditionType *saml1__AudienceRestrictionCondition | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AudienceRestrictionCondition. More...
struct saml1__DoNotCacheConditionType *saml1__DoNotCacheCondition | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":DoNotCacheCondition. More...
struct saml1__ConditionAbstractType *saml1__Condition | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Condition. More...

## Member Data Documentation

struct saml1__AudienceRestrictionConditionType* saml1__AudienceRestrictionCondition saml1__ConditionsType::__saml1__union_ConditionsType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AudienceRestrictionCondition.

Required nillable (xsi:nil when NULL) element.

struct saml1__DoNotCacheConditionType* saml1__DoNotCacheCondition saml1__ConditionsType::__saml1__union_ConditionsType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":DoNotCacheCondition.

Required nillable (xsi:nil when NULL) element.

struct saml1__ConditionAbstractType* saml1__Condition saml1__ConditionsType::__saml1__union_ConditionsType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Condition.

Required nillable (xsi:nil when NULL) element.

The documentation for this struct was generated from the following file:

- saml1.h